> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/ping-mu/screen.setiosswipeback.md).

# Screen.setIosSwipeBack

> 函数式 API `setIosSwipeGestureEnabled`也能用它实现相同功能。

### 功能说明

在 iOS 上开启或关闭通过滑动屏幕返回的功能。 `isEnabled`为 `true`如果为 true，则可以通过滑动返回， `false`如果为 false，则会被禁用。

### 类型

```ts
Screen.setIosSwipeBack(options: SetIosSwipeGestureEnabledOptions): Promise<void>;
```

**参数**

```ts
interface SetIosSwipeGestureEnabledOptions {
  isEnabled: boolean;
}
```

**响应**

无。

### 示例代码

```js
import { Screen } from "@apps-in-toss/web-framework";

// 想关闭滑动返回时
await Screen.setIosSwipeBack({ isEnabled: false });

// 想重新开启滑动返回时
await Screen.setIosSwipeBack({ isEnabled: true });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/ping-mu/screen.setiosswipeback.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
